// copyPdfjs.js

const path = require('path');
const fs = require('fs-extra'); // Make sure to install fs-extra (npm install fs-extra)

const pdfjsSrc = path.join(__dirname, 'public', 'pdfjs');
const projectPublicDir = path.join(process.cwd(), 'public', 'pdfjs');

// Ensure the user's 'public' directory exists, create it if not
fs.ensureDirSync(path.join(process.cwd(), 'public'));

// Copy the pdfjs folder from the package to the user's 'public' directory
fs.copy(pdfjsSrc, projectPublicDir)
  .then(() => {
    console.log('pdfjs folder copied to your public directory.');
  })
  .catch(err => {
    console.error('Error copying pdfjs folder:', err);
  });
